Resource

On-Call Policy

Manage on-call duty, schedules and roster for your project

The On-Call Policy Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    name
    Type
    TextRequired
    Description

    Any friendly name of this object

  • Name
    labels
    Type
    Label
    Description

    Relation to Labels Array where this object is categorized in.

  • Name
    description
    Type
    Long Text
    Description

    Friendly description that will help you remember

  • Name
    slug
    Type
    SlugRequired
    Description

    Friendly globally unique name for your object

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    repeatPolicyIfNoOneAcknowledges
    Type
    BooleanRequired
    Description

    Repeat the policy if no one acknowledges the alert

  • Name
    repeatPolicyIfNoOneAcknowledgesNoOfTimes
    Type
    NumberRequired
    Description

    Repeat the policy X number of times if no one acknowledges the alert

  • Name
    customFields
    Type
    JSON
    Description

    Custom Fields on this resource.

GETorPOST/api/on-call-duty-policy/get-list

List

This endpoint allows you to retrieve a paginated list of all your On-Call Policy. By default, a maximum of ten On-Call Policy are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/on-call-duty-policy/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "createdByUserId": true,
    "description": true,
    "repeatPolicyIfNoOneAcknowledges": true
  },
  "query": {
    "name": "24/7 Production Support"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "3776e8e0-28fe-11f1-b591-3fdcef396aba",
      "name": "24/7 Production Support",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "description": "Primary on-call rotation for production incidents and critical alerts",
      "repeatPolicyIfNoOneAcknowledges": true
    },
    {
      "_id": "3776e8e1-28fe-11f1-b591-3fdcef396aba",
      "name": "24/7 Production Support",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "description": "Primary on-call rotation for production incidents and critical alerts",
      "repeatPolicyIfNoOneAcknowledges": true
    },
    {
      "_id": "3776e8e2-28fe-11f1-b591-3fdcef396aba",
      "name": "24/7 Production Support",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "description": "Primary on-call rotation for production incidents and critical alerts",
      "repeatPolicyIfNoOneAcknowledges": true
    }
  ]
}
GETorPOST/api/on-call-duty-policy/:id/get-item

Get item by ID

This endpoint allows you to retrieve On-Call Policy by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/on-call-duty-policy/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "createdByUserId": true,
    "description": true,
    "repeatPolicyIfNoOneAcknowledges": true
  }
}

Response

{
  "_id": "3776e8e0-28fe-11f1-b591-3fdcef396aba",
  "name": "24/7 Production Support",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "description": "Primary on-call rotation for production incidents and critical alerts",
  "repeatPolicyIfNoOneAcknowledges": true
}
POST/api/on-call-duty-policy/count

Count

This endpoint allows you to retrieve the count of all your On-Call Policy.

Optional Request Body

Count Request

POST
/api/on-call-duty-policy/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "name": "24/7 Production Support"
  }
}

Response

{
  "count": 107
}
POST/api/on-call-duty-policy

Create On-Call Policy

This endpoint allows you to create a new object.

Create Request

POST
/api/on-call-duty-policy
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "24/7 Production Support",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "description": "Primary on-call rotation for production incidents and critical alerts",
    "repeatPolicyIfNoOneAcknowledges": true
  }
}

Response

{
  "_id": "3776e8e0-28fe-11f1-b591-3fdcef396aba",
  "name": "24/7 Production Support",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "description": "Primary on-call rotation for production incidents and critical alerts",
  "repeatPolicyIfNoOneAcknowledges": true
}
PUT/api/on-call-duty-policy/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/on-call-duty-policy/:id/update-item
GET/api/on-call-duty-policy/:id/update-item

Update Request

PUT
/api/on-call-duty-policy/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "24/7 Production Support",
    "description": "Primary on-call rotation for production incidents and critical alerts",
    "repeatPolicyIfNoOneAcknowledges": true
  }
}

Response

{}
DELETE/api/on-call-duty-policy/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/on-call-duty-policy/:id/delete-item
GET/api/on-call-duty-policy/:id/delete-item

Delete Request

DELETE
/api/on-call-duty-policy/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read On-Call Policy

  • Project Owner
  • Project Admin
  • Project Member
  • Read On-Call Duty Policy
  • Read All Project Resources

Create Permissions

Required to create On-Call Policy

  • Project Owner
  • Project Admin
  • Project Member
  • Create On-Call Duty Policy

Update Permissions

Required to update On-Call Policy

  • Project Owner
  • Project Admin
  • Project Member
  • Edit On-Call Duty Policy

Delete Permissions

Required to delete On-Call Policy

  • Project Owner
  • Project Admin
  • Project Member
  • Delete On-Call Duty Policy